### Enumeration

# Atk TextClipType

#### Declaration

    enum Atk.TextClipType

#### Description [src]

Describes the type of clipping required.

#### Members

`ATK_TEXT_CLIP_NONE`

  No clipping to be done.

  - Value: `0`
  - Available since: 1.0
`ATK_TEXT_CLIP_MIN`

  Text clipped by min coordinate is omitted.

  - Value: `1`
  - Available since: 1.0
`ATK_TEXT_CLIP_MAX`

  Text clipped by max coordinate is omitted.

  - Value: `2`
  - Available since: 1.0
`ATK_TEXT_CLIP_BOTH`

  Only text fully within mix/max bound is retained.

  - Value: `3`
  - Available since: 1.0